Draft Rectangle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rectangle and the translation is 3% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Rectangle.svg Draft Rectangle

Menyplacering
Draft -> Rectangle
Arbetsbänkar
Draft, Arch
Standard genväg
R E
Introducerad i version
-
Se även
Part Box

Description

Beskrivning

Detta verktyg ritar en rektangel genom att välja två motsatta punkter.

The corners of a Draft Rectangle can be filleted (rounded) or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. It is also possible to subdivide a Draft Rectangle by changing its DataColumns and/or DataRows property.

Draft Rectangle example.jpg

Draft Rectangle example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Nedtryckning av SKIFT medan du väljer den motsatta punkten tillåter dig att begränsa den ortogonalt i relation till det ögonblick som du tryckte på SKIFT.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade rektangeln kommer att ha nuvarande linjestil.
  • Rektanglar har en "Texturbild" egenskap som kan användas för att visa en bild som mappas på rektangeln. Du måste se till att ge rektangeln samma dimensioner som bilden. Om man tar bort innehållet i egenskapen så försvinner bilden från rektangeln. Detta är användbart om du behöver kalkera av en pappersritning som du har skannat in.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created rectangle will have DataMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating rectangles.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Rectangle can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Plane instead of a Draft Rectangle.

Properties

See also: Property editor.

A Draft Rectangle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the rectangle. The value will be 0.0 if DataMake Face if false.
  • DataChamfer Size (Length): specifies the length of the chamfers at the corners of the rectangle.
  • DataColumns (Integer): specifies the number of equal-sized columns in which the rectangle is divided.
  • DataFillet Radius (Length): specifies the radius of the fillets at the corners of the rectangle.
  • DataHeight (Distance): specifies the height of the rectangle.
  • DataLength (Distance): specifies the length of the rectangle.
  • DataMake Face (Bool): specifies if the rectangle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.
  • DataRows (Integer): specifies the number of equal-sized rows in which the rectangle is divided.

View

Draft

  • VyPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the rectangle. This property only works if DataMake Face is true and if VyDisplay Mode is Flat Lines.
  • VyPattern Size (Float): specifies the size of the Draft Pattern.
  • VyTexture Image (File): specifies the path of the image file to be mapped onto the face of the rectangle. Blanking this property will remove the image. The rectangle should have the same proportions as the image to avoid distortions.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Rectangle use the make_rectangle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeRectangle method.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Creates a rectangle object with length in the X direction and height in the Y direction, with units in millimeters.
  • If placement is None the rectangle is created at the origin and the length will be parallel to the X axis.
  • If face is True, the rectangle will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Polygon Draft Polygon.svg Arrow-right.svg